import { waitForAsync, ComponentFixture, TestBed } from '@angular/core/testing';
import { provideHttpClient } from '@angular/common/http';
import { provideAnimations } from '@angular/platform-browser/animations';

import { MenuItems } from '@components/shared';
import { JumpsByMonthComponent } from './jumps-by-month.component';

describe('JumpsByMonthComponent', () => {
  let component: JumpsByMonthComponent;
  let fixture: ComponentFixture<JumpsByMonthComponent>;

  beforeEach(waitForAsync(() => {
    TestBed.configureTestingModule({
      imports: [JumpsByMonthComponent],
      providers: [
        provideHttpClient(),
        provideAnimations(),
        MenuItems,
      ],
    })
    .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(JumpsByMonthComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
